/*****************

+-----------------------+
| icon | #header-text   |  > %header
+------+----------------+
|      | #toolbar       |  \
|      +----------------+  |
|#side |                |  |
| bar  |  #content      |  |> %main
|      |                |  |
|      |                |  |
|      |                |  /
+-----------------------+
|      | footer         |
+-----------------------+

%html
  %head
  %body
    %header
      #header-icon
      #header-text
      #header-status
  %main
    %aside#sidebar
    %article
      %aside#toolbar
      #content
  %footer

*******************/

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

header {
  display: flex;
  flex-direction: row;
}

main {
  display: flex;
  flex-direction: row;
  flex-grow: 1;
}

article {
  display: flex;
  flex-direction: row;
  flex-grow: 1;
}

#content {
  background: var(--content-bg);
  padding: calc($grid-gutter-width / 2);
  padding-bottom: 2rem;
  flex-grow: 1;
}

//
// RESPONSIVE RESIZING
//

// LARGE
.header-height {
  height: var(--header-max-height);
}
.sidebar-width {
  min-width: var(--sidebar-max-width);
  max-width: var(--sidebar-max-width);
}

// MEDIUM
@include media-breakpoint-down(lg) {
  .header-height {
    height: var(--header-mid-height) !important;
  }
  .sidebar-width {
    min-width: var(--sidebar-mid-width);
    max-width: var(--sidebar-mid-width);
  }
}

// SMALL
@include media-breakpoint-down(md) {
  .header-height {
    height: var(--header-min-height) !important;
  }
  .sidebar-width {
    min-width: var(--sidebar-min-width);
    max-width: var(--sidebar-min-width);
  }
  #sidebar {
    .nav-link span, .section span, .section svg {display: none;} // hide sidebar text
    .section {opacity: 0;}
  }
}
